# PSF-LoginServer - master - net.psforever.types.HartSequence
PSF - LoginServer - master - net.psforever.types.HartSequence
Keywords: PSF LoginServer master net.psforever.types.HartSequence

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package types
  Definition Classes
    psforever
- Angular
- BailType
- CapacitorStateType
- CargoStatus
- CharacterSex
- CharacterVoice
- ChatMessageType
- DriveState
- EmoteType
- ExoSuitType
- GrenadeState
- HartSequence
- ImplantType
- LazeWaypoint
- LoadoutType
- MeritCommendation
- OxygenState
- PlanetSideEmpire
- PlanetSideGUID
- PlanetSideGeneratorState
- SpawnGroup
- SquadRequestType
- SquadResponseType
- SquadWaypoint
- StalePlanetSideGUID
- StandardWaypoint
- TransactionType
- ValidPlanetSideGUID
- Vector3
- WaypointSubtype

o

net.psforever.types

# HartSequence 

###
Companion class HartSequence

#### object HartSequence extends IntEnum[HartSequence]

Source
  HartSequence.scala

Linear Supertypes
IntEnum[HartSequence], ValueEnum[Int, HartSequence], AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. HartSequence
2. IntEnum
3. ValueEnum
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  macro def findValues: IndexedSeq[HartSequence]
   Attributes
     protected
   Definition Classes
     IntEnum
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
17.  def toString(): String
    Definition Classes
      AnyRef → Any
18.  val values: IndexedSeq[HartSequence]
    Definition Classes
      HartSequence → ValueEnum
19.  final lazy val valuesToEntriesMap: Map[Int, HartSequence]
    Definition Classes
      ValueEnum
20.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
23.  def withValue(i: Int): HartSequence
    Definition Classes
      ValueEnum
    Annotations
      @SuppressWarnings()
24.  def withValueEither(i: Int): Either[NoSuchMember[Int, ValueEnumEntry[Int]], HartSequence]
    Definition Classes
      ValueEnum
25.  def withValueOpt(i: Int): Option[HartSequence]
    Definition Classes
      ValueEnum
26.  case object Land extends HartSequence with Product with Serializable

    lights on, bay doors open, shuttle lands

27.  case object PrepareForBoarding extends HartSequence with Product with Serializable

    platform down, bay doors closed, gantries extend, lights off

28.  case object PrepareForDeparture extends HartSequence with Product with Serializable

    gantries retract, lights on, bay doors open, platform up

29.  case object State0 extends HartSequence with Product with Serializable

    no effect, but is used when the shuttle is docked

30.  case object State5 extends HartSequence with Product with Serializable

    no effect, but is used when the shuttle is away; a substitute for 7 occasionally or used as its supplement, e.g., 2-2, 5-3, 3-4 OR 2-2, 7-3, 5-3, 3-4

31.  case object State7 extends HartSequence with Product with Serializable

    no effect, but is used when the shuttle is away

32.  case object TakeOff extends HartSequence with Product with Serializable

    shuttle takes off, bay doors close, lights off

### Inherited from IntEnum[HartSequence]

### Inherited from ValueEnum[Int, HartSequence]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped